package de.dass_it.vanhelsing.gui;

import de.dass_it.www.vanhelsing.VanHelsingStub.ResourceAttributeType;
import de.dass_it.www.vanhelsing.VanHelsingStub.ResourceInfo;
/**
 * SimpleResource is used as a return type for getSimpleResource() method
 * Since this class contains only setter and getter methods there is no further documentation 
 * @author tgoecke
 *
 */
public	class SimpleResource{
	private ResourceInfo resourceInfo;
	private ResourceAttributeType[] resourceAttributeType;
	
	public SimpleResource(){}
	public SimpleResource(ResourceInfo ri, ResourceAttributeType[] rat){
		setResourceInfo(ri);
		setResourceAttributeType(rat);
	}
	
	public ResourceInfo getResourceInfo() {
		return resourceInfo;
	}
	public void setResourceInfo(ResourceInfo resourceInfo) {
		this.resourceInfo = resourceInfo;
	}
	public ResourceAttributeType[] getResourceAttributeType() {
		return resourceAttributeType;
	}
	public void setResourceAttributeType(
			ResourceAttributeType[] resourceAttributeType) {
		this.resourceAttributeType = resourceAttributeType;
	}
}

